Bug 7378 - ifup-post trashes resolv.conf
ifup-post trashes resolv.conf
Product: Red Hat Linux
Classification: Retired
Component: ppp (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Depends On:
  Show dependency treegraph
Reported: 1999-11-27 15:16 EST by andy
Modified: 2008-05-01 11:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-11-30 10:59:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description andy 1999-11-27 15:16:35 EST
After a ppp connection is made the first two nameservers in resolv.conf
are overwritten by those in /etc/ppp/resolv.conf. Thus trashing the
DNS resolution of for example the local network. I've commentted out the
entire section in ifup-post ppp0, this works fine appart from on auto-dial
which remains broken.

Comment 1 Michael K. Johnson 1999-11-30 10:59:59 EST
Add the line
to your /etc/sysconfig/network-scripts/ifcfg-ppp* files.
Comment 2 Stephan R.A. Deibel 2000-02-20 02:09:59 EST
I'd maintain that this *is* a bug since it means your default installation won't
work right for many people.  Drop the ppp connection and suddenly you're hanging
up left and right... Also, it's pretty obscure to find since ifcfg-ppp0 doesn't
even have a PEERDNS=yes entry by default and this isn't in linuxconf as far as I
could see.  You've got to fix this in future releases of RHL.
Comment 3 rmiddle 2000-05-23 12:39:59 EDT
Problem is also present in redhat 6.2 althought they atleast include the option
in the ifcfg-ppp0 file now.  Althought I would like it if the would ask you
before had.  Also this doesn't respect File atrrib. as I set resolv.conf to read
only and it was still over writen.

Note You need to log in before you can comment on or make changes to this bug.